%global pypi_name docplex

Name:           python-%{pypi_name}
Version:        2.19.202
Release:        1%{?dist}
Summary:        The IBM Decision Optimization CPLEX Modeling for Python

License:        Apache 2.0
Url:            https://onboarding-oaas.docloud.ibmcloud.com/software/analytics/docloud/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  (python3dist(requests) >= 2.21.0)
BuildRequires:  (python3dist(six) >= 1.13.0)

Requires:       (python3dist(requests) >= 2.21.0)
Requires:       (python3dist(six) >= 1.13.0)

%description
DOcplex, IBM Decision Optimization Modeling for Python

%package -n python3-%{pypi_name}
Summary:        %{summary}
Provides:       %{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
DOcplex, IBM Decision Optimization Modeling for Python

%prep
%setup -n docplex-%{version}

%build
%py3_build

%install
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{pypi_name}
%defattr(-,root,root)
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/docplex
%{python3_sitelib}/docplex-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jan 15 2021 Stephen Coady <scoady@redhat.com> - 2.19.202
- Initial package.
